> ## Documentation Index
> Fetch the complete documentation index at: https://developers.argosidentity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH /profiles/:profileId

> 프로필의 이름 또는 메타데이터를 업데이트합니다.

## 엔드포인트

```
PATCH /v1/profiles/{profileId}
```

## 요청

```bash theme={null}
curl -X PATCH "http://client-omni-api.argosidentity.com/v1/profiles/{profileId}" \
  -H "x-api-key: your-api-key-here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "John Doe - Updated",
    "metadata": { "internalRef": "CASE-2026-001" }
  }'
```

### 요청 본문

<ResponseField name="name" type="string">
  업데이트할 프로필 표시 이름
</ResponseField>

<ResponseField name="description" type="string">
  업데이트할 프로필 설명
</ResponseField>

<ResponseField name="metadata" type="object">
  업데이트할 사용자 정의 메타데이터 (병합되지 않고 전체 메타데이터 객체를 대체)
</ResponseField>

## 응답

```json theme={null}
{
  "id": "pf_a1b2c3d4",
  "workflowId": "wf_7a3f9c2e",
  "name": "John Doe - Updated",
  "description": "Updated description",
  "metadata": { "internalRef": "CASE-2026-001" },
  "itemsCount": 3,
  "lastAnalysisAt": "2026-03-15T10:30:00Z",
  "createdAt": "2026-03-15T10:00:00Z",
  "updatedAt": "2026-03-15T11:00:00Z"
}
```

### 에러 코드

| 상태  | 코드                  | 설명           |
| --- | ------------------- | ------------ |
| 404 | `PROFILE_NOT_FOUND` | 프로필을 찾을 수 없음 |
